Subject: bug#13635: Strange ls bug (Combination of -a and --color)

From: Bob Proulx <[email-masked]>
Date: Wed, 6 Feb 2013 01:07:00 -0700

Joshua Rogers wrote:
> I just rsync'd my remote server for backup, and on my local machine I
> run the command 'ls -lh csf/'
> Well.. Here's the result;
> 
> $ ls -lh csf/
> ls: cannot access csf/.: Permission denied
> ls: cannot access csf/..: Permission denied
> total 0
> d????????? ? ? ? ?                ? .
> d????????? ? ? ? ?                ? ..

What is the output of (without the trailing slash and with -d):

  ls -ld csf

I suspect that you are missing the 'x' search permission bit but have
the 'r' bit.  You can read the directory but cannot search it.  To fix
this add the 'x' bit back to the directory.  If it is a directory.

  chmod a+x csf

Bob